STEST(3)

SYNOPSIS
SUBROUTINE STEST (LEN, SCOMP, STRUE, SSIZE, SFAC, KPRINT)

NAME
stest - Compare arrays SCOMP and STRUE.

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (STEST-S, DTEST-D)

KEYWORDS
QUICK CHECK

AUTHOR
Lawson, C. L., (JPL)

DESCRIPTION
This subroutine compares arrays SCOMP and STRUE of length LEN to see if the term by term differences, multiplied by SFAC, are negligible. In the case of a significant difference, appropriate messages are written.

ROUTINES CALLED
R1MACH

COMMON BLOCKS
COMBLA

REVISION HISTORY (YYMMDD)
741210 DATE WRITTEN
890831 Modified array declarations. (WRB)
890831 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900820 Modified IF test to use function DIFF and made cosmetic changes to routine. (WRB)
901005 Removed usage of DIFF in favour of R1MACH. (RWC)
910501 Added TYPE record. (WRB)
920211 Code restructured and information added to the DESCRIPTION section. (WRB)